[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: Heads-Up: rb_libtorrent 0.13.x (incompatible API/ABI bump)



2008/7/15 Peter Gordon <peter thecodergeek com>:
> Hi, all.
>
> Just an FYI: I've bumped rb_libtorrent to 0.13.1 in Rawhide, which
> changes the soname (libtorrent-0.12.1.so -->libtorrent-rasterbar.so.0)
>
> Aside from the large amount of bug-fixes, packaging recent versions of
> rb_libtorrent will make it much more feasible to use a system copy with
> Deluge 1.0 soon (which is just hitting its RCs, and currently uses its
> own internal copy synced to upstream trunk every so often).
>
> According to repoquery, the only thing that currently depends on this
> library is linkage (a GTK+ BitTorrent client); and that - according to
> its upstream authors - should work just fine with this updated
> rb_libtorrent once an update to linkage-0.2.0 is pushed.
>
> Howevever, I think that linkage-0.2.0 still needs some D-BUS C++ love,
> so it'll probably remain broken until that happens. (If needed, we can
> maintain a separate compat package for rb_libtorrent-0.12.x; but I hope
> that it will not be necessary.)

Submitted dbus-c++ for review (its needed for the new linkage).
https://bugzilla.redhat.com/show_bug.cgi?id=455575


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]